/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

.tableOfContentsNavigation:focus {
  border: solid 2px #0032d9;
}

.tableOfContentsNavigation {
  min-height: 100%;

  .lea-ui-toc-tree {
    width: 100%;
    height: 100%;
    position: relative;

    & .ant-tree {
      background-color: transparent;
      font-size: 1.4rem;
      line-height: 2.2rem;

      & .ant-tree-treenode {
        position: relative;
        box-sizing: border-box;
        width: 100%;
        border-bottom: 1px solid #c1cbf2;
        padding: 6px 0;

        &.dragging {
          border: 2px solid #0032d9;
        }

        &.drop-target {
          &.drag-over {
            &.canAddChildren,
            &.ant-tree-treenode-draggable {
              border-bottom: 2px solid #0032d9;
            }
          }

          &.drag-over-gap-top {
            border-top: 2px solid #0032d9;
          }

          &.drag-over-gap-bottom {
            border-bottom: 2px solid #0032d9;
          }
        }

        &.ant-tree-treenode-active {
          .ant-tree-node-content-wrapper {
            background: transparent;
          }
        }

        &:hover,
        &.ant-tree-treenode-active {
          text-decoration: underline;
          &::after {
            position: absolute;
            content: '';
            width: 100%;
            height: 100%;
            top: 0;
            background-color: #e5eafb;
          }
        }
        & > * {
          z-index: 10;
        }
        & .ant-tree-checkbox {
          position: absolute;
          left: 10px;
          visibility: hidden;
        }
        & .ant-tree-switcher {
          margin-left: 10px;
          z-index: 11;
        }
      }

      & .ant-tree-node-content-wrapper {
        overflow: hidden;
        white-space: nowrap;
        padding-right: 16px;
        padding-left: 35px;
        display: flex;
        flex-direction: row;
        width: 100%;
        margin-left: -35px;

        & .ant-tree-iconEle.ant-tree-icon__docu {
          display: none;
          visibility: hidden;
        }

        & .ant-tree-title,
        & > * {
          text-overflow: ellipsis;
          overflow: hidden;
          white-space: nowrap;
          display: block;
        }
        .ant-tree-treenode-selected .ant-tree-treenode-selected {
          background-color: transparent;
        }

        &:hover {
          background-color: transparent;
        }

        & .ant-tree-iconEle {
          display: flex;
          align-items: center;
          align-content: center;

          & > svg {
            width: 1.5rem;
            height: 1.5rem;
          }
        }
      }
    }
  }
}
